package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0162
 * @Description : 身份证信息错误
 * @Author : 胡敬
 * @Date: 2020-03-16 10:01
 */
@Component
public class FIRP0162 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            String idNumber = firstpageStructureMap.get(Content.idNumber);
            if (StringUtil.isNotBlank(idNumber)) {
                if ("-".equals(idNumber) || "—".equals(idNumber)) {
                    return;
                }
                String regex = "\\d{15}|\\d{17}[\\dxX]";
                if (!idNumber.matches(regex)) {
                    status.set("-1");
                }
            }
        }
    }
}